Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.contrib.failmon
Class MonitorJob

    java.lang.Object
      org.apache.hadoop.contrib.failmon.MonitorJob

    public class MonitorJob

extends Object

This class is a wrapper for a monitoring job.

Constructor Summary
`MonitorJob(Monitored _job, String _type, int _interval)`

Method Summary
`void` | `reset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MonitorJob

    public MonitorJob(Monitored _job,
                      String _type,
                      int _interval)

Method Detail

### reset

    public void reset()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation